Commit eb90dbcd authored by Amir MOHAMMADI's avatar Amir MOHAMMADI

Drop free channel when building bob.conda

Release new bob-devel and beat-devel versions
parent 0572ce47
......@@ -4,7 +4,7 @@ package:
name: bob-devel
# please update the version of beat-devel and update bob-devel's version there
# as well in the same merge request.
version: 2019.08.04
version: 2019.08.06
build:
# the build number must be zero all the time.
......@@ -18,58 +18,59 @@ requirements:
host:
- python {{ python }}
# Dependency list of bob packages. Everything is pinned to allow for better
# reproducibility. Please keep this list sorted. It is recommended that you
# reproducibility. Please keep this list sorted. It is MANDATORY that you
# update all dependencies at once (to their latest version) each time you
# modify the dependencies here. Use ``conda search`` to find the latest
# version of packages.
- boost 1.67.0
- caffe 1.0 # [linux]
- click 7.0
- click-plugins 1.0.4
- click-plugins 1.1.1
- cmake 3.14.0
- coverage 4.5.3
- cyvlfeat 0.4.6
- docopt 0.6.2
- ffmpeg 4.0
# to make sure we get ffmpeg from our own channel which has more codecs
- ffmpeg 4.0 hadceb68_1
- freetype 2.9.1
- giflib 5.1.4
- hdf5 1.10.2
- jinja2 2.10.1
- jpeg 9b
- kaldi 2017.03.13 # [linux]
- kaldi 1!5.5.164 # [linux]
- libblitz 1.0.1
- libmatio 1.5.15
- libogg 1.3.2
- libpng 1.6.36
- libpng 1.6.37
- libsvm 3.22
- libtiff 4.0.10
- madmom 0.16.1
- matplotlib 3.0.3
- mkl 2019.3
- matplotlib 3.1.0
- mkl 2019.4
- mne 0.15.2
- mr.developer 1.38
- nose 1.3.7
- numpy 1.16.2
- opencv 3.4.2
- pillow 5.4.1
- pillow 6.1.0
- pkg-config 0.29.2
- pyedflib 0.1.11
- cudatoolkit 9.0 # [linux]
- pytorch 1.0.1 # [linux]
- pyyaml 5.1
- requests 2.21.0
- pyyaml 5.1.1
- requests 2.22.0
- schema 0.6.8
- scikit-image 0.14.2
- scikit-learn 0.20.3
- scipy 1.2.1
- setuptools 41.0.0
- scikit-image 0.15.0
- scikit-learn 0.21.2
- scipy 1.3.0
- setuptools 41.0.1
- six 1.12.0
- sox 14.4.2
- sphinx 1.8.5
- sphinx 2.1.2
- sphinx_rtd_theme 0.4.3
- sqlalchemy 1.3.1
- sqlalchemy 1.3.5
- tabulate 0.8.3
- tensorflow 1.13.1
- tensorflow 1.14.0
- torchvision 0.2.1 # [linux and py<37]
- vlfeat 0.9.21
- zc.buildout 2.12.2
......
macos_min_version:
- 10.9
macos_machine:
- x86_64-apple-darwin13.4.0
MACOSX_DEPLOYMENT_TARGET:
- 10.9
CONDA_BUILD_SYSROOT: # [osx]
- /opt/MacOSX10.9.sdk # [osx]
# This helps CMAKE find the sysroot. See
# https://cmake.org/cmake/help/v3.11/variable/CMAKE_OSX_SYSROOT.html
SDKROOT: # [osx]
- /opt/MacOSX10.9.sdk # [osx]
# makes autotools verbose
VERBOSE_AT:
- V=1
# makes cmake verbose
VERBOSE_CM:
- VERBOSE=1
# the blas implementations that we build against
blas_impl:
- mkl
## the dependencies that we build against multiple versions
python:
- 3.6
- 3.7
zip_keys:
- # [win]
- vc # [win]
- c_compiler # [win]
- cxx_compiler # [win]
- fortran_compiler_version # [win]
- python # [win]
numpy:
- 1.16.2
default_channels:
- https://repo.anaconda.com/pkgs/main
add_pip_as_python_dependency: false #!final
always_yes: true #!final
quiet: true #!final
show_channel_urls: true #!final
anaconda_upload: false #!final
ssl_verify: false #!final
remote_connect_timeout_secs: 120.0 #!final
remote_max_retries: 50 #!final
remote_read_timeout_secs: 180.0 #!final
channels:
- defaults
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment